Page MenuHomePhabricator

Clean up $wgUseSharedUploads defaults
Closed, ResolvedPublic

Description

We have been using $wgForeignFileRepos since 1.11. Reminder bug to check WMF conf to make sure it's not using the old settings, then look at removing the back-compat stuff in Setup.php and removing these. I also don't think people were using the feature very much until Tim added $wgForeignFileRepos anyway.


Version: unspecified
Severity: minor

Details

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 11:00 PM
bzimport set Reference to bz23122.
bzimport added a subscriber: Unknown Object (MLST).
demon created this task.Apr 9 2010, 10:03 PM

Bryan.TongMinh wrote:

I see no reason to remove this deprecated feature indefinitely unless it starts to break things.

demon added a comment.May 3 2010, 9:54 AM

Having less configuration variables is always a good thing, imho. As long as it's clearly stated in the RELEASE-NOTES, I see little harm in removing them.

Krinkle added a comment.EditedMar 20 2011, 4:11 PM

As of:
http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/includes/DefaultSettings.php?view=markup&pathrev=84169#l413

The following values are still existant and set to the following by default:

$wgUseSharedUploads = false;

$wgSharedUploadPath = "http://commons.wikimedia.org/shared/images";

$wgFetchCommonsDescriptions = false;

$wgSharedUploadDirectory = "/var/www/wiki3/images";

$wgSharedUploadDBname = false;

$wgSharedUploadDBprefix = '';

$wgCacheSharedUploads = true;

The default value for wgSharedUploadPath is a 404 error and doesn't work by default. I suggest we:

  • Set these to sane (working) defaults.
  • Keep wgUseSharedUploads disabled by default (obviously).
  • Make note of these variables being obsolete in the DefaultSettings.php and RELEASE-NOTES file and shorlty describe what the new settings should be (ie. ForeignFileRepo) so a wiki admin can switch.
  • Don't deprecate or remove them until we have to for some reason (ie. it becoming impossible or cumbersome to support/convert these to new variables)
Aklapper added a subscriber: Aklapper.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:08 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:08 PM
Restricted Application added a project: Commons. · View Herald TranscriptJan 22 2016, 11:40 PM
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Feb 13 2016, 5:36 PM
Krinkle renamed this task from Deprecate $wgUseSharedUploads and friends to Clean up $wgUseSharedUploads defaults.Jun 15 2018, 3:51 PM
Krinkle removed a subscriber: wikibugs-l-list.
Krinkle claimed this task.Jul 14 2018, 1:11 AM

The following values are still existant and set to the following by default:

$wgSharedUploadPath = "http://commons.wikimedia.org/shared/images";

$wgSharedUploadDirectory = "/var/www/wiki3/images";

[..]

Fixed by rMW6df8fce796fd: Unset weird ancient WMF-specific shared upload settings.

Change 445756 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Clean up docs around $wgUseSharedUploads

https://gerrit.wikimedia.org/r/445756

Change 445756 merged by jenkins-bot:
[mediawiki/core@master] Clean up docs around $wgUseSharedUploads

https://gerrit.wikimedia.org/r/445756